=== modified file 'NEWS'
--- NEWS	2008-03-05 13:13:43 +0000
+++ NEWS	2008-03-06 17:13:00 +0000
@@ -57,6 +57,9 @@
     * ``merge --preview`` now works for merges that add or modify
       symlinks (James Henstridge)
 
+    * Redirecting the output from ``bzr merge`` (when the remembered
+      location is used) now works. (John Arbash Meinel)
+
     * Upgrade bundled ConfigObj to version 4.5.1, which properly quotes #
       signs, among other small improvements. (Matt Nordhoff, #86838)
 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-02-29 15:53:56 +0000
+++ bzrlib/builtins.py	2008-03-04 16:53:03 +0000
@@ -3008,10 +3008,8 @@
         mutter("%s", stored_location)
         if stored_location is None:
             raise errors.BzrCommandError("No location specified or remembered")
-        display_url = urlutils.unescape_for_display(stored_location,
-            self.outf.encoding)
-        self.outf.write("%s remembered location %s\n" % (verb_string,
-            display_url))
+        display_url = urlutils.unescape_for_display(stored_location, 'utf-8')
+        note(u"%s remembered location %s", verb_string, display_url)
         return stored_location
 
 

=== modified file 'bzrlib/tests/blackbox/test_merge.py'
--- bzrlib/tests/blackbox/test_merge.py	2008-01-16 12:47:54 +0000
+++ bzrlib/tests/blackbox/test_merge.py	2008-03-06 15:40:56 +0000
@@ -175,9 +175,9 @@
         out, err = self.run_bzr('merge')
         
         base = urlutils.local_path_from_url(branch_a.base)
-        self.assertEquals(out,
+        self.assertStartsWith(err,
                           'Merging from remembered location %s\n' % (base,))
-        self.assertEquals(err, '+N  b\nAll changes applied successfully.\n')
+        self.assertEndsWith(err, '+N  b\nAll changes applied successfully.\n')
         self.assertEquals(abspath(branch_b.get_submit_branch()),
                           abspath(parent))
         # re-open tree as external run_bzr modified it
@@ -418,10 +418,10 @@
         tree_b = tree_a.bzrdir.sprout('b').open_workingtree()
         tree_c = tree_a.bzrdir.sprout('c').open_workingtree()
         out, err = self.run_bzr(['merge', '-d', 'c'])
-        self.assertContainsRe(out, 'Merging from remembered location .*a\/$')
+        self.assertContainsRe(err, 'Merging from remembered location .*a\/')
         tree_c.branch.set_submit_branch(tree_b.bzrdir.root_transport.base)
         out, err = self.run_bzr(['merge', '-d', 'c'])
-        self.assertContainsRe(out, 'Merging from remembered location .*b\/$')
+        self.assertContainsRe(err, 'Merging from remembered location .*b\/')
 
     def test_remember_sets_submit(self):
         tree_a = self.make_branch_and_tree('a')

